{*******************************************************}
{                                                       }
{   Types et structures                                 }
{   du Novell 4.0 Pour Borland DELPHI                   }
{                                                       }
{   Convertion du C au PASCAL                           }
{   par Couery Tanguy le 26/11/95                       }
{                                                       }
{   Pour le projet Novell Netware de 3me anne         }
{   (BRETIN David,COUERY Tanguy,GUILHEM Eric)           }
{                                                       }
{                                                       }
{*******************************************************}

unit TTLI;


interface

type
  PInteger  = ^Integer;
  PByte     = ^Byte;
  PWord     = ^Word;
  PLongInt  = ^LongInt;

type
Pt_info = ^t_info;
t_info = record
   addr: longint;
   options: longint;
   tsdu: longint;
   etsdu: longint;
   connect: longint;
   discon: longint;
   servtype: longint;
end;

type
Pnetbuf = ^netbuf;
netbuf = record
   maxlen: word;
   len: word;
   buf: Pchar;
end;

type
Pt_bind = ^t_bind;
t_bind = record
   addr: netbuf;
   qlen: word;
end;
t_bindrec = t_bind;

type
Pt_optmgmt = ^t_optmgmt;
t_optmgmt = record
   opt: netbuf;
   flags: longint;
end;

type
Pt_discon = ^t_discon;
t_discon = record
   udata: netbuf;
   reason: integer;
   sequence: integer;
end;

type
Pt_call = ^t_call;
t_call = record
   addr: netbuf;
   opt: netbuf;
   udata: netbuf;
   sequence: integer;
end;
t_callRec = t_call;

type
Pt_unitdata = ^t_unitdata;
t_unitdata = record
   addr: netbuf;
   opt: netbuf;
   udata: netbuf;
end;

type
Pt_uderr = ^t_uderr;
t_uderr = record
   addr: netbuf;
   opt: netbuf;
   error: longint;
end;

type
Prate = ^rate;
rate = record
   targetvalue: longint;
   minacceptvalue: longint;
end;

type
Preqvalue = ^reqvalue;
reqvalue = record
   called: rate;
   calling: rate;
end;

type
Pthrpt = ^thrpt;
thrpt = record
   maxthrpt: reqvalue;
   avgthrpt: reqvalue;
end;

type
Pmanagement = ^management;
management = record
   dflt: shortint;
   ltpdu: integer;
   reastime: shortint;
   prefclass: char;
   altclass: char;
   extform: char;
   flowctrl: char;
   checksum: char;
   netexp: char;
   netrecptcf: char;
end;

type
Pisoco_options = ^isoco_options;
isoco_options = record
   throughput: thrpt;
   transdel: reqvalue;
   reserrorrate: rate;
   transffailprob: rate;
   estfailprob: rate;
   relfailprob: rate;
   estdelay: rate;
   reldelay: rate;
   connresil: netbuf;
   protection: word;
   priority: shortint;
   mngmt: management;
   expd: char;
end;

type
Pisocl_options = ^isocl_options;
isocl_options = record
   transdel: rate;
   reserrorrate: rate;
   protection: word;
   priority: shortint;
end;

type
Psecoptions = ^secoptions;
secoptions = record
   security: shortint;
   compartment: shortint;
   handling: shortint;
   tcc: longint;
end;

type
Ptcp_options = ^tcp_options;
tcp_options = record
   precedence: shortint;
   timeout: longint;
   max_seg_size: longint;
   secopt: secoptions;
end;

type
PIPX_ADDR = ^IPX_ADDR;
IPX_ADDR = record
   ipxa_net: array [0..3] of byte;
   ipxa_node: array [0..5] of byte;
   ipxa_socket: array [0..1] of byte;
end;

type
PIPX_OPTS = ^IPX_OPTS;
IPX_OPTS = record
   ipx_type: byte;
   ipx_pad1: array [0..2] of byte;
   ipx_hops: byte;
   ipx_pad2: array [0..2] of byte;
end;

type
PSPX_OPTS = ^SPX_OPTS;
SPX_OPTS = record
   spx_connectionID: array [0..1] of byte;
   spx_allocationNumber: array [0..1] of byte;
   spx_pad1: array [0..3] of byte;
end;

type
PSPX_OPTMGMT = ^SPX_OPTMGMT;
SPX_OPTMGMT = record
   spxo_retry_count: byte;
   spxo_watchdog_flag: byte;
   spxo_min_retry_delay: longint;
   spxo_pad2: array [0..1] of byte;
end;

type
PSPX2_OPTIONS = ^SPX2_OPTIONS;
SPX2_OPTIONS = record
   versionNumber: longint;
   spxIIOptionNegotiate: longint;
   spxIIRetryCount: longint;
   spxIIMinimumRetryDelay: longint;
   spxIIMaximumRetryDelta: longint;
   spxIIWatchdogTimeout: longint;
   spxIIConnectTimeout: longint;
   spxIILocalWindowSize: longint;
   spxIIRemoteWindowSize: longint;
   spxIIConnectionID: longint;
   spxIIInboundPacketSize: longint;
   spxIIOutboundPacketSize: longint;
   spxIISessionFlags: longint;
end;

implementation

end.
